<script>
import SVG from "@/components/svg.svelte"
import Inventory from "./inventory.svelte"

import { t, l } from "@/i18n"
import { isPhone, isTablet } from "@/stores/responsiveness"
import { aside, isLight } from "@/stores/static"

$: menu = [
	{ text: $t("default.nav.price"), href: $l("price") },
	{ text: $t("default.nav.services"), href: $l("services") },
	{ text: $t("default.nav.blog"), href: $l("blog") },
	{ text: $t("default.nav.faq"), href: $l("frequently-asked-questions") },
]

let filterSelectorActive = false

const handleClick = () => {
	if ($isPhone || $isTablet) {
		filterSelectorActive = true
	}
}

aside.subscribe(() => filterSelectorActive = false)
</script>

<div 
	class="menu is-flex"
	class:is-flex-direction-column={$isPhone || $isTablet}
	class:is-align-items-flex-start={$isPhone || $isTablet}>
	<div class="menu-item has-dropdown is-flex is-align-items-center is-justify-content-center">
		<svelte:element this={!$isPhone && !$isTablet ? "a" : "div"} class="menu-item-content is-flex is-align-items-center is-justify-content-center" href={$l("cars")}>
			<svelte:element this={!$isPhone && !$isTablet ? "span" : "a"} href={$l("cars")}>{$t("default.nav.inventory")}</svelte:element>
			<!-- svelte-ignore a11y-click-events-have-key-events -->
			<span class="icon is-flex is-align-items-center is-justify-content-center" on:click={handleClick}>
				{#if $isPhone || $isTablet}
					<SVG folder="icons" name="angle-right" />
				{:else}
					<SVG folder="icons" name="triangle-down" />
				{/if}
			</span>
		</svelte:element>
		<div class="dropdown" class:active={filterSelectorActive} class:dark={!$isLight}>
			{#if $isPhone || $isTablet}
				<!-- svelte-ignore a11y-click-events-have-key-events -->
				<div class="menu-item is-flex is-align-items-center is-jsutify-content-flex-start" on:click={() => filterSelectorActive = false}>
					<span>{$t("heading.back")}</span>
					<span class="icon">
						<SVG folder="icons" name="angle-left" />
					</span>
				</div>
			{/if}
			<Inventory />
		</div>
	</div>
	{#each menu as menuItem}
	<a class="menu-item is-flex is-align-items-center is-justify-content-center" href={menuItem.href}>
		<span class="menu-item-content is-flex is-align-items-center is-justify-content-center">{menuItem.text}</span>
	</a>
	{/each}
</div>

<style lang="scss">
.menu {
	&-item {
		&:not(:last-child) {
			margin-right: 2rem;
		}
		&.has-dropdown {
			:global(.icon svg) {
				width: 1.5rem;
			}
		}
		@include max_tablet {
			padding: 1.5rem 0;
			padding-left: 1.5rem;
			a, span {
				font-size: 2rem;
				color: $white;
			}
			span.icon {
				margin-left: .5rem;
				:global(svg path) {
					fill: $white;
				}
			}
		}
	}
	@include max_tablet {
		padding-top: 2rem;
	}
}
</style>